Method: projects.locations.contentPolicies.patch

Update a ContentPolicy.

HTTP request


PATCH https://dlp.googleapis.com/v2/{name=projects/*/locations/*/contentPolicies/*}

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Resource name in the format: projects/{project}/locations/{location}/contentPolicies/{contentPolicy}.

Authorization requires the following IAM permission on the specified resource name:

  • dlp.contentPolicies.update

Request body

The request body contains data with the following structure:

JSON representation
{
  "contentPolicy": {
    object (ContentPolicy)
  },
  "updateMask": string
}
Fields
contentPolicy

object (ContentPolicy)

Required. The contentPolicy with new values for the relevant fields.

updateMask

string (FieldMask format)

Optional. Mask to control which fields get updated.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Response body

If successful, the response body contains an instance of ContentPolicy.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.